<?php


namespace Schaffen\ServiceOrder\ServiceOrder\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\ServiceOrder\ServiceOrder\Models\ServiceOrderStatus;

class ServiceOrderStatusRepository extends Repository
{
   protected $model = ServiceOrderStatus::class;

   protected $searchableFields = [
      ["field" => "sto_status_inicial"],
      ["field" => "sto_executado"],
      ["field" => "sto_exibe_filtros"],
   ];

    public function getStatusExecutado($sto_tipo_os){
        return ServiceOrderStatus::where('sto_executado',true)->where('sto_tipo_os',$sto_tipo_os)->first('sto_codigo')->sto_codigo;
    }

}
